/* QACPI - A window manager-independent applet for reading ACPI battery
          information on Compaq 1700 series (and perhaps other) computers
   Copyright (C) 2002  Daniel A. Wagenaar
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
   
   Contacting the author:
   
      Daniel Wagenaar
      Caltech 103-33
      Pasadena, CA 91125
      USA
      wagenaar@caltech.edu
*/
#include "QACPIImpl.H"

/* 
 *  Constructs a QACPI which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 */
QACPI::QACPI( QWidget* parent,  const char* name, WFlags fl )
    : QACPIBase( parent, name, fl )
{
}

/*  
 *  Destroys the object and frees any allocated resources
 */
QACPI::~QACPI()
{
    // no need to delete child widgets, Qt does it all for us
}

